<?php

/**
 * Consistent Details on Products
 */
namespace App\Traits;

use App\Models\Invoice;

trait ProductDetails
{
	/**
	 * Return a human friendly name for the billing interval
	 *
	 * @return string
	 */
	public function getBillingIntervalStringAttribute(): string
	{
		return Invoice::billing_name(static::getBillingIntervalAttribute());
	}
}